--- title: "Add method response header" slug: "apigateway-postresponseparameters" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-postresponseparameters" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Add method response header Available in Classic and VPC Add a response header to a customized method. The response status code must be added before you can save the header. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/responses/{status-code}/parameters | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the API belongs to - 1 - 10 - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API whose response header you want to add - 1 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `resource-id` | String | Required | ID of the target resource in the API - 1 - 10 characters - See [View resource list](/docs/en/apigateway-resource-getresourcelist) | | `method-name` | String | Required | Target method type - `ANY` \| `GET` \| `POST` \| `PUT` \| `DELETE` \| `PATCH` \| `OPTIONS` \| `HEAD` | | `status-code` | Integer | Required | Response status code - See [View method response](/docs/en/apigateway-method-getresponses) | ### Request syntax The request syntax is as follows. ``` { "parameterType" : "string", "isArray" : true, "parameterName" : "parameterName", "parameterDescription" : "parameterDescription" } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `parameterType` | String | Optional | Parameter type - `string` \| `boolean` \| `integer` \| `long` \| `float` \| `double` | | `isArray` | Boolean | Optional | Whether it is an array type - `true` \| `false` - `true`: array type - `false`: non-array type | | `parameterName` | String | Required | Name of the header to save - 1 - 100 characters | | `parameterDescription` | String | Optional | Parameter description - 0 - 300 characters | ### Request example The following is a sample request. ``` curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/GET/responses/200/parameters' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "parameterType" : "integer", "isArray" : false, "parameterName" : "Duration", "parameterDescription" : "Time" }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "methodParameterDto" : { "resourceId" : "resourceId", "methodCode" : "methodCode", "tenantId" : "tenantId", "parameterCode" : "REQUEST_HEADER", "parameterType" : "string", "apiId" : "apiId", "parameterName" : "parameterName", "statusCode" : 6, "parameterDescription" : "parameterDescription", "isArray" : true } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "methodParameterDto": { "resourceId": "tf73xuex0v", "methodCode": "0001", "tenantId": "********65ec41039ce6668c2058b8a9", "parameterCode": "RESPONSE_HEADER", "parameterType": "integer", "apiId": "cvcohvd2xj", "parameterName": "Duration", "statusCode": 200, "parameterDescription": "Time", "isArray": false } } ```